VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::OvfWarning Class Reference

The `OvfWarning` class describes a warning related to accessing, validating, deploying, or exporting an OVF package. More...

List of all members.

## Public Member Functions
| OvfWarning ()
| Creates a default new instance.
vmware.vcenter.ovf.OvfMessage.Category | GetCategory ()
| The message category.
void | SetCategory (vmware.vcenter.ovf.OvfMessage.Category category)
| The message category.
global::System.Collections.Generic.List < vmware.vcenter.ovf.ParseIssue > | GetIssues ()
| List of parse issues (see ParseIssue ).
void | SetIssues (global::System.Collections.Generic.List< vmware.vcenter.ovf.ParseIssue > issues)
| List of parse issues (see ParseIssue ).
string | GetName ()
| The name of input parameter.
void | SetName (string name)
| The name of input parameter.
string | GetValue ()
| The value of input parameter.
void | SetValue (string value_)
| The value of input parameter.
vmware.vapi.std.LocalizableMessage | GetMessage ()
| A localizable message.
void | SetMessage (vmware.vapi.std.LocalizableMessage message)
| A localizable message.
vmware.vapi.bindings.IStructure | GetError ()
| Represents a server vmware.vapi.std.errors.Error .
void | SetError (vmware.vapi.bindings.IStructure error)
| Represents a server vmware.vapi.std.errors.Error .
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `OvfWarning` class describes a warning related to accessing, validating, deploying, or exporting an OVF package.

## Constructor & Destructor Documentation

vmware::vcenter::ovf::OvfWarning::OvfWarning | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::OvfWarning::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::OvfWarning::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::OvfWarning::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::OvfWarning::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::OvfWarning::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::OvfWarning::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.ovf.OvfMessage.Category vmware::vcenter::ovf::OvfWarning::GetCategory | ( |  | ) | `[inline]`

The message category.

vmware.vapi.bindings.IStructure vmware::vcenter::ovf::OvfWarning::GetError | ( |  | ) | `[inline]`

Represents a server vmware.vapi.std.errors.Error .

When clients pass a value of this class as a parameter, the field must contain all the attributes defined in vmware.vapi.std.errors.Error . When methods return a value of this class as a result, the field will contain all the attributes defined in vmware.vapi.std.errors.Error .

override int vmware::vcenter::ovf::OvfWarning::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vcenter.ovf.ParseIssue> vmware::vcenter::ovf::OvfWarning::GetIssues | ( |  | ) | `[inline]`

List of parse issues (see ParseIssue ).

vmware.vapi.std.LocalizableMessage vmware::vcenter::ovf::OvfWarning::GetMessage | ( |  | ) | `[inline]`

A localizable message.

string vmware::vcenter::ovf::OvfWarning::GetName | ( |  | ) | `[inline]`

The name of input parameter.

string vmware::vcenter::ovf::OvfWarning::GetValue | ( |  | ) | `[inline]`

The value of input parameter.

void vmware::vcenter::ovf::OvfWarning::SetCategory | ( | vmware.vcenter.ovf.OvfMessage.Category | category | ) | `[inline]`

The message category.

void vmware::vcenter::ovf::OvfWarning::SetError | ( | vmware.vapi.bindings.IStructure | error | ) | `[inline]`

Represents a server vmware.vapi.std.errors.Error .

When clients pass a value of this class as a parameter, the field must contain all the attributes defined in vmware.vapi.std.errors.Error . When methods return a value of this class as a result, the field will contain all the attributes defined in vmware.vapi.std.errors.Error .

void vmware::vcenter::ovf::OvfWarning::SetIssues | ( | global::System.Collections.Generic.List< vmware.vcenter.ovf.ParseIssue > | issues | ) | `[inline]`

List of parse issues (see ParseIssue ).

void vmware::vcenter::ovf::OvfWarning::SetMessage | ( | vmware.vapi.std.LocalizableMessage | message | ) | `[inline]`

A localizable message.

void vmware::vcenter::ovf::OvfWarning::SetName | ( | string | name | ) | `[inline]`

The name of input parameter.

void vmware::vcenter::ovf::OvfWarning::SetValue | ( | string | value_ | ) | `[inline]`

The value of input parameter.

override string vmware::vcenter::ovf::OvfWarning::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- OvfWarning.cs